#include <MoleGraph.h>

MoleGraph moleGraph;

//Global constants
const uint8_t pin = A1; //analogRead pin
const float ZERO_PRESSURE = 25.81; // shift from zero pressure (calibration)

float analog_reading; //the ADC reading
float P; //pressure calculated on the analog pin    

void UpdateGraphChannels(void)
{
  moleGraph.SetChannelValue(1, P);
}
void MeasurementStartedCallback(void)
{
  digitalWrite(13, HIGH);
}
void MeasurementStoppedCallback(void)
{
  digitalWrite(13, LOW);
}
void MeasurementPausedCallback(void)
{
  digitalWrite(13, LOW);
}
void MeasurementContinuedCallback(void)
{
  digitalWrite(13, HIGH);
}


void setup()
{
  moleGraph.Setup();
  moleGraph.SetSendingCallback(&UpdateGraphChannels);
  moleGraph.SetMeasurementStartedCallback(&MeasurementStartedCallback);
  moleGraph.SetMeasurementStoppedCallback(&MeasurementStoppedCallback);
  moleGraph.SetMeasurementPausedCallback(&MeasurementPausedCallback);
  moleGraph.SetMeasurementContinuedCallback(&MeasurementContinuedCallback);
  
  //initialize pin 13 for measurement state initialization 
  pinMode(13, OUTPUT);
}

void loop()
{ 
  moleGraph.CheckInput();
  
  //read analog pin
  analog_reading = analogRead(pin);
  //calculate pressure
  P = (analog_reading/1024*700.0) - ZERO_PRESSURE; //pressure
  P = round(P*1000)/1000.0;  
}


